Subject: bug#47357: 28.0.50; sql-list-tables: Executing SQL command... takes indefinite time after creation of new table

From: Stefan Kangas <[email-masked]>
Date: Thu, 21 Oct 2021 14:02:57 -0700

Jean Louis <[email-masked]> writes:

> I have noticed, but have not researched why, is that function
> `sql-list-tables' takes indefinite time without completing or giving
> result when I do following:
>
> - M-x sql-postgres RET and more entries until I get into the SQL buffer
>
> - create new table
>
> - C-c C-l t with new table name is then taking indefinite time.
>
> Maybe the library is reading tables only at initializations, I may be
> wrong. In SQL buffer there is no problem to inspect the table, but C-c
> C-l t does not allow it for new table created.
>
> This may all be wrong and related to some other bug there, I do not
> know. I was interrupting the indefinite message with C-g.

I'm copying in the sql.el maintainer here.  Michael, could you please
take a look at the above bug report?